gnutls_cipher_get_tag_size(3)

NAME
gnutls_cipher_get_tag_size - API function

SYNOPSIS
#include <gnutls/crypto.h>

unsigned gnutls_cipher_get_tag_size(gnutls_cipher_algorithm_t algorithm);

ARGUMENTS

gnutls_cipher_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
This function returns the tag size of an authenticated encryption algorithm. For non-AEAD algorithms, it returns zero.

RETURNS
the tag size of the authenticated encryption algorithm.

SINCE
3.2.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/